cURL
curl --request GET \
--url https://api.allcomtelecom.com/api:XUynQtIz/auth/userimport requests
url = "https://api.allcomtelecom.com/api:XUynQtIz/auth/user"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.allcomtelecom.com/api:XUynQtIz/auth/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "now",
"accounts_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"email": "user@example.com",
"username": "string",
"role": "string",
"lastSeen": 0,
"ativo": true,
"tokenAllmanager": "string",
"token_expire": 0
}{
"error": "Input Error. Check the request payload for issues."
}{
"error": "Requisição requer autenticação."
}{
"error": "Access denied. Additional privileges are needed access the requested resource"
}{
"error": "Not Found. The requested resource does not exist."
}{
"error": "Rate Limited. Too many requests."
}{
"error": "Unexpected error"
}Auth
Rota para trazer as informações do usuário
Traz as informações de um usuário específico
GET
/
auth
/
user
cURL
Query Parameters
Example:
"20234397fs9vcd978qr308q9703cbfdbd9vuy07wrw97rq90qrw08"
Response
Listagem de dispositivos retornada com sucesso.
Example:
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "now",
"accounts_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"email": "user@example.com",
"username": "string",
"role": "string",
"lastSeen": 0,
"ativo": true,
"tokenAllmanager": "string",
"token_expire": 0
}

